Windows 服务器对于TLS 1.2功能的支持

2019-02-18

现在除了苹果等应用,连小程序都要求https支持TLS1.2及以上版本。尽管TLS 1.0和1.1像该协议很多更老旧版本一样,仍未被彻底淘汰,但聪明人都知道,这些版本都有很多缺陷和漏洞。微软自然也宣布进行一项工作来改进Windows系统对TLS 1.2的支持,并鼓励他们的企业客户抛弃此前问题多多的TLS 版本的原因。

Windows系统中,有问题的是老系统Vista、Windows 7和Server 2008。Vista和Server 2008系统已完全不再支持TLS 1.2。在Windows 7和Server 2008 R2系统中,默认情况下也不支持TLS 1.2。

为解决这一问题,微软公司曾宣布他们将于“17年夏季晚些时候”通过新的补丁在Windows Server 2008系统中为TLS 1.2提供支持。

所以如果你是Windows Server 2008 R2 现在发现没有TLS 1.2,没关系!只要你更新你的系统,你就可以获得TLS 1.2支持。

下面看一个图标,了解具体windows的系统支持情况。

@2020  TCODE    津ICP备13002520号-4